Bulletin d'alerte Debian

DSA-668-1 postgresql -- Usurpation de droits

Date du rapport :
4 février 2005
Paquets concernés :
postgresql
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 293125.
Dans le dictionnaire CVE du Mitre : CVE-2005-0227.
Plus de précisions :

John Heasman et d'autres ont découvert un bogue dans le moteur de PostgreSQL, qui permettrait à n'importe quel utilisateur d'y charger une bibliothèque arbitraire.

Pour l'actuelle distribution stable (Woody), ce problème a été corrigé dans la version 7.2.1-2woody7.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 7.4.7-1.

Nous vous recommandons de mettre à jour vos paquets postgresql.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7.dsc
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7.diff.gz
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1.orig.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-doc_7.2.1-2woody7_all.deb
Alpha:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody7_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody7_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody7_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody7_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody7_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody7_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody7_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody7_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody7_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody7_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody7_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody7_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody7_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody7_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody7_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody7_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody7_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody7_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody7_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody7_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody7_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody7_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody7_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody7_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody7_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody7_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody7_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody7_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody7_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody7_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody7_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody7_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody7_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody7_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody7_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody7_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody7_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody7_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody7_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody7_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody7_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody7_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody7_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody7_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody7_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody7_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody7_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody7_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody7_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody7_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody7_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody7_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody7_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody7_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody7_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody7_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody7_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody7_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody7_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody7_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody7_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody7_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody7_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody7_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody7_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody7_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody7_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody7_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody7_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody7_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody7_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody7_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody7_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody7_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody7_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody7_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody7_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody7_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody7_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody7_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody7_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody7_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody7_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody7_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody7_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody7_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody7_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody7_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody7_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody7_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody7_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody7_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody7_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody7_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody7_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody7_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody7_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody7_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody7_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody7_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody7_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody7_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody7_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody7_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody7_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody7_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody7_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody7_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody7_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody7_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody7_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.